Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.samples.chat.server
Class ChatServer_Impl

    java.lang.Object
      org.jboss.remoting.samples.chat.server.ChatServer_Impl

All Implemented Interfaces:
  ServerInvocationHandler

    public class ChatServer_Impl

extends java.lang.Object
implements ServerInvocationHandler

Title: Chat4

Description:

Copyright: Copyright (c) 2003

Company:

Version:
  1.0
Author:
  not attributable

Field Summary
`protected static org.jboss.logging.Logger` | `log`

Constructor Summary
`ChatServer_Impl(ExtendedChatInfo eci, ShutDownGate sdg)`

Method Summary
`void` | `addListener(InvokerCallbackHandler callbackHandler)` Adds a callback handler that will listen for callbacks from the server invoker handler.
`protected java.util.ArrayList` | `getBackChat(java.lang.Object[] args)`
`protected ChatInfo` | `getChatInfo(java.lang.Object[] args)`
`java.lang.Object` | `invoke(InvocationRequest invocation)` called to handle a specific invocation.
`protected void` | `leave(java.lang.Object[] args)`
`void` | `removeListener(InvokerCallbackHandler callbackHandler)` Removes the callback handler that was listening for callbacks from the server invoker handler.
`protected void` | `send(java.lang.Object[] args)`
`void` | `setInvoker(ServerInvoker invoker)` set the invoker that owns this handler
`void` | `setMBeanServer(javax.management.MBeanServer server)` set the mbean server that the handler can reference

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.remoting.ServerInvocationHandler
`toString`

Field Detail

### log

    protected static final org.jboss.logging.Logger log

Constructor Detail

### ChatServer_Impl

    public ChatServer_Impl(ExtendedChatInfo eci,
                           ShutDownGate sdg)

Method Detail

### invoke

    public java.lang.Object invoke(InvocationRequest invocation)
                            throws java.lang.Throwable

  Description copied from interface: `ServerInvocationHandler`
  called to handle a specific invocation. Please take care to make sure implementations are thread safe and can, and often will, receive concurrent calls on this method.

  Specified by:
    `invoke` in interface `ServerInvocationHandler`
  Returns:
  Throws:
    `java.lang.Throwable`

### getBackChat

    protected java.util.ArrayList getBackChat(java.lang.Object[] args)
                                       throws ShuttingDownException

  Throws:
    `ShuttingDownException`

### getChatInfo

    protected ChatInfo getChatInfo(java.lang.Object[] args)
                            throws ShuttingDownException

  Throws:
    `ShuttingDownException`

### leave

    protected void leave(java.lang.Object[] args)
                  throws ShuttingDownException

  Throws:
    `ShuttingDownException`

### send

    protected void send(java.lang.Object[] args)
                 throws ShuttingDownException

  Throws:
    `ShuttingDownException`

### setMBeanServer

    public void setMBeanServer(javax.management.MBeanServer server)

  Description copied from interface: `ServerInvocationHandler`
  set the mbean server that the handler can reference

  Specified by:
    `setMBeanServer` in interface `ServerInvocationHandler`

### setInvoker

    public void setInvoker(ServerInvoker invoker)

  Description copied from interface: `ServerInvocationHandler`
  set the invoker that owns this handler

  Specified by:
    `setInvoker` in interface `ServerInvocationHandler`

### addListener

    public void addListener(InvokerCallbackHandler callbackHandler)

  Description copied from interface: `ServerInvocationHandler`
  Adds a callback handler that will listen for callbacks from the server invoker handler.

  Specified by:
    `addListener` in interface `ServerInvocationHandler`

### removeListener

    public void removeListener(InvokerCallbackHandler callbackHandler)

  Description copied from interface: `ServerInvocationHandler`
  Removes the callback handler that was listening for callbacks from the server invoker handler.

  Specified by:
    `removeListener` in interface `ServerInvocationHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.